commit:     6ac99cf9c0002626fdcec3ba5721e57bf3d41681
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 25 12:46:23 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu Nov 25 13:03:16 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6ac99cf9

dev-ruby/http-parser: fix extension install

Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/http-parser/http-parser-1.2.3-r1.ebuild | 34 ++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

diff --git a/dev-ruby/http-parser/http-parser-1.2.3-r1.ebuild 
b/dev-ruby/http-parser/http-parser-1.2.3-r1.ebuild
new file mode 100644
index 000000000000..896944c223f9
--- /dev/null
+++ b/dev-ruby/http-parser/http-parser-1.2.3-r1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A super fast http parser for ruby"
+HOMEPAGE="https://github.com/cotag/http-parser";
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+IUSE=""
+
+DEPEND+=" >=net-libs/http-parser-2.8.1"
+RDEPEND+=" >=net-libs/http-parser-2.8.1"
+
+ruby_add_bdepend "dev-ruby/ffi-compiler"
+
+each_ruby_compile() {
+       ${RUBY} -C ext -S rake || die
+       mv ext/*/libhttp-parser-ext.so lib/http-parser/ || die
+}
+
+each_ruby_install() {
+       each_fakegem_install
+       ruby_fakegem_extensions_installed
+}

Reply via email to